# 2.2.4.3 (12e60e803a54+): /etc/dovecot/dovecot.conf
# OS: Linux 3.2.0-48-virtual x86_64 Ubuntu 12.04 LTS 
auth_verbose = yes
deliver_log_format = msgid=%m: %$: %s: %f
dict {
  sqlquota_domain = pgsql:/etc/dovecot/dovecot-dict-sql.conf.ext
  sqlquota_user = pgsql:/etc/dovecot/dovecot-dict-sql.conf.ext
}
imap_client_workarounds = tb-extra-mailbox-sep tb-lsub-flags
listen = 10.0.0.1, 127.0.0.1, ::1
mail_access_groups = dovecot
mail_attachment_dir = /home/%d/%n/attachments
mail_location = sdbox:~/mail
mail_plugins = " quota zlib notify mail_log"
mail_save_crlf = yes
mail_temp_dir = /var/tmp
mailbox_list_index = yes
managesieve_notify_capability = mailto
managesieve_sieve_capability = fileinto reject envelope encoded-character vacation subaddress comparator-i;ascii-numeric relational regex imap4flags copy include variables body enotify environment mailbox date ihave editheader
namespace inbox {
  inbox = yes
  location = 
  mailbox Drafts {
    special_use = \Drafts
  }
  mailbox Junk {
    special_use = \Junk
  }
  mailbox Sent {
    special_use = \Sent
  }
  mailbox "Sent Messages" {
    special_use = \Sent
  }
  mailbox Trash {
    special_use = \Trash
  }
  prefix = 
  separator = /
}
passdb {
  args = /etc/dovecot/dovecot-sql.conf.ext
  driver = sql
}
plugin {
  mail_log_events = delete undelete expunge copy mailbox_delete mailbox_rename
  mail_log_fields = uid box msgid size
  quota = dict:user quota::proxy::sqlquota_user
  quota2 = dict:domain quota:%d:proxy::sqlquota_domain
  quota_rule = *:storage=10M:messages=1000
  quota_rule2 = Trash:storage=+10%%
  sieve = ~/.dovecot.sieve
  sieve_dir = ~/sieve
  sieve_extensions = +editheader
}
protocols = imap lmtp sieve
service auth {
  unix_listener exim4-auth {
    group = Debian-exim
    mode = 0600
    user = Debian-exim
  }
}
service dict {
  unix_listener dict {
    group = dovecot
    mode = 0660
  }
}
service imap-login {
  inet_listener imap {
    port = 143
  }
  inet_listener imaps {
    port = 993
    ssl = yes
  }
  process_min_avail = 10
}
service lmtp {
  inet_listener lmtp {
    address = 127.0.0.1 ::1
    port = 24
  }
  process_min_avail = 10
}
service managesieve-login {
  inet_listener sieve {
    port = 4190
  }
  process_min_avail = 5
}
ssl = required
ssl_cert = </etc/dovecot/imap.example.net.crt-full
ssl_key = </etc/dovecot/imap.example.net.key
userdb {
  args = /etc/dovecot/dovecot-sql.conf.ext
  driver = sql
}
verbose_proctitle = yes
verbose_ssl = yes
protocol imap {
  mail_max_userip_connections = 10
  mail_plugins = " quota zlib notify mail_log imap_quota imap_zlib"
}
protocol lmtp {
  mail_plugins = " quota zlib notify mail_log sieve"
}